CN Consistency Check and CN Recovery
Status: Rejected Start date:  

Priority: Urgent Due date:  

Assignee: Robert Waltz % Done: 92%

Category: d1_process_daemon Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Need custom merge class for HZ (logic to figure out auth sysmeta), check and restore SM consistency; possibly not needed if

authority for system metadata is moved to MN

Data consistency on CN will still be needed if authority is moved to MN. LDAP and Metacat multi-master replication need to be

verified. We also require a check that all SM on MNs are in fact represented on the CNs

May need to check that the CNs are consistent with one another.

May need to check resource maps to determine if aggregates links are resolvable.

Subtasks:

Task # 4183: Evaluate CN to CN system metadata attribute inconsistencies Closed

Task # 4184: Evaluate CN to CN access policy inconsistencies Closed

Task # 4185: Develop a CN audit algorithm to recover inconsistent CN states Rejected

Task # 4179: Testing CN to CN connectivity Closed

Task # 4213: Evaluate deleted identifiers on each CN Closed

Task # 4217: System Metadata repair/merge implementation Closed

Task # 4218: Audit Job Message Listener Implementation Rejected

Task # 4219: Create WorkingState Class Closed

Task # 4220: Create WorkflowState Enum Closed

Task # 4221: Develop  AuditJobImpl Rejected

Task # 4223: Implement the Metacat DAO layer for accessing/updating systemmetadata Closed

Task # 4226: Audit Message Processing Rejected

Related issues:

Related to Infrastructure - Story #3474: Maintain consistency across CN hazel... Rejected 2013-01-16 2014-03-29

Related to Infrastructure - Bug #3874: Inconsistent object counts across CNs Closed 2013-07-21 2014-04-12

Related to Infrastructure - Story #4230: CN System Metadata needs tidying Closed

Associated revisions

Revision 2563f881 - 2013-12-12 19:14 - Robert Waltz

refs #3736

initial import of base packages and some empty classes/interfaces

Revision 13065 - 2013-12-12 19:14 - Robert Waltz

refs #3736  

initial import of base packages and some empty classes/interfaces

Revision 13065 - 2013-12-12 19:14 - Robert Waltz
refs #3736  

initial import of base packages and some empty classes/interfaces

Revision 13065 - 2013-12-12 19:14 - Robert Waltz

refs #3736  

initial import of base packages and some empty classes/interfaces

Revision 13065 - 2013-12-12 19:14 - Robert Waltz

refs #3736  

initial import of base packages and some empty classes/interfaces

Revision 1e9e80b3 - 2013-12-19 19:48 - Robert Waltz

refs #3736

adding an interface for repairing data of DataONE

Revision 13099 - 2013-12-19 19:48 - Robert Waltz

refs #3736  

adding an interface for repairing data of DataONE

Revision 13099 - 2013-12-19 19:48 - Robert Waltz

refs #3736  

adding an interface for repairing data of DataONE

Revision 13099 - 2013-12-19 19:48 - Robert Waltz

refs #3736  

adding an interface for repairing data of DataONE

Revision 13099 - 2013-12-19 19:48 - Robert Waltz

refs #3736  

adding an interface for repairing data of DataONE

Revision 5bb524e1 - 2013-12-19 19:50 - Robert Waltz

refs #3736

no need to import a list

2024-04-27 2/3



Revision 13100 - 2013-12-19 19:50 - Robert Waltz

refs #3736  

no need to import a list

Revision 13100 - 2013-12-19 19:50 - Robert Waltz

refs #3736  

no need to import a list

Revision 13100 - 2013-12-19 19:50 - Robert Waltz

refs #3736  

no need to import a list

Revision 13100 - 2013-12-19 19:50 - Robert Waltz

refs #3736  

no need to import a list

History

#1 - 2013-04-26 17:16 - Robert Waltz

- Category changed from d1_cn_service to d1_process_daemon

#2 - 2013-08-15 19:33 - Robert Waltz

- Description updated

#3 - 2014-01-06 22:59 - Robert Waltz

- Target version set to 2014.2-Block.1.1

- Due date set to 2014-01-18

- Start date set to 2014-01-05

- Milestone changed from None to CCI-1.2

#4 - 2014-03-14 17:43 - Robert Waltz

- Target version deleted (2014.2-Block.1.1)

- Start date deleted (2013-11-18)

- Due date deleted (2014-01-18)

#5 - 2014-07-30 03:24 - Robert Waltz

- Status changed from New to Rejected
